Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1108787 - mergerepo_c sets wrong <size>0</size> in repodata/repomd.xml
Summary: mergerepo_c sets wrong <size>0</size> in repodata/repomd.xml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: createrepo_c
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mlcoch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-12 14:49 UTC by Jan Blazek
Modified: 2014-07-16 03:51 UTC (History)
2 users (show)

Fixed In Version: createrepo_c-0.4.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-16 03:51:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Blazek 2014-06-12 14:49:50 UTC
Description of problem:
mergerepo_c on RHEL 6.5 sets wrong <size>0</size> in repodata/repomd.xml.
mergerepo_c on Fedora 20 works as expected.

Version-Release number of selected component (if applicable):
createrepo_c-0.4.0-1
See also versions of relevant rpms in the transcript below.

Steps to Reproduce on RHEL 6.5:
$ mkdir /tmp/repo/
$ mergerepo_c --all -a x86_64 -o /tmp/repo -r http://dl.fedoraproject.org/pub/epel/6/x86_64/ -r http://dl.fedoraproject.org/pub/epel/testing/6/x86_64/
GLib: Critical: g_thread_pool_new: assertion `g_thread_supported ()' failed
GLib: Critical: g_thread_pool_push: assertion `real' failed
GLib: Critical: g_thread_pool_push: assertion `real' failed
GLib: Critical: g_thread_pool_push: assertion `real' failed
GLib: Critical: g_thread_pool_free: assertion `real' failed
GLib: Critical: g_thread_pool_new: assertion `g_thread_supported ()' failed
GLib: Critical: g_thread_pool_push: assertion `real' failed
GLib: Critical: g_thread_pool_push: assertion `real' failed
GLib: Critical: g_thread_pool_push: assertion `real' failed
GLib: Critical: g_thread_pool_free: assertion `real' failed
GLib: Critical: g_thread_pool_new: assertion `g_thread_supported ()' failed
GLib: Critical: g_thread_pool_push: assertion `real' failed
GLib: Critical: g_thread_pool_push: assertion `real' failed
GLib: Critical: g_thread_pool_push: assertion `real' failed
GLib: Critical: g_thread_pool_free: assertion `real' failed
$ ls -l /tmp/repo/repodata/
total 93928
-rw-rw-r--. 1 jblazek jblazek   245302 Jun 12 15:32 083916f13335bc0319dcaf791b5a62187760ac278b8d58fece7bea796363651b-comps-el6.xml.gz
-rw-rw-r--. 1 jblazek jblazek       55 Jun 12 15:32 65c4f66e2808d328890505c3c2f13bb35a96f457d1c21a6346191c4dc07e6080-updateinfo.xml.gz
-rw-rw-r--. 1 jblazek jblazek  1247497 Jun 12 15:31 a61828faf0beb5ca73e9a5c2cd5294be3ac147a311041aed2bda39b530328846-comps-el6.xml
-rw-r--r--. 1 jblazek jblazek 44062720 Jun 12 15:32 filelists.sqlite
-rw-rw-r--. 1 jblazek jblazek  7058453 Jun 12 15:32 filelists.xml.gz
-rw-r--r--. 1 jblazek jblazek 14112768 Jun 12 15:32 other.sqlite
-rw-rw-r--. 1 jblazek jblazek  1895950 Jun 12 15:32 other.xml.gz
-rw-r--r--. 1 jblazek jblazek 24720384 Jun 12 15:32 primary.sqlite
-rw-rw-r--. 1 jblazek jblazek  2812249 Jun 12 15:32 primary.xml.gz
-rw-rw-r--. 1 jblazek jblazek     3080 Jun 12 15:32 repomd.xml
$ grep size /tmp/repo/repodata/repomd.xml 
    <size>0</size>
    <open-size>21465047</open-size>
    <size>0</size>
    <open-size>94100942</open-size>
    <size>0</size>
    <open-size>15289815</open-size>
    <size>0</size>
    <open-size>0</open-size>
    <size>0</size>
    <open-size>0</open-size>
    <size>0</size>
    <open-size>0</open-size>
    <size>1247497</size>
    <size>245302</size>
    <open-size>1247497</open-size>
    <size>55</size>
    <open-size>42</open-size>
rpm -q createrepo_c bzip2 expat file glib2 libcurl libxml2 python rpm openssl sqlite xz zlib
createrepo_c-0.4.0-1.el6.x86_64
bzip2-1.0.5-7.el6_0.x86_64
expat-2.0.1-11.el6_2.x86_64
file-5.04-15.el6.x86_64
glib2-2.26.1-7.el6_5.x86_64
libcurl-7.19.7-37.el6_5.3.x86_64
libxml2-2.7.6-14.el6_5.1.x86_64
python-2.6.6-52.el6.x86_64
rpm-4.8.0-37.el6.x86_64
openssl-1.0.1e-16.el6_5.14.x86_64
sqlite-3.6.20-1.el6.x86_64
xz-4.999.9-0.3.beta.20091007git.el6.x86_64
zlib-1.2.3-29.el6.x86_64


Steps to Reproduce on Fedora 20:
Fedora 20:
$ mkdir /tmp/repo
$ mergerepo_c --all -a x86_64 -o /tmp/repo -r http://dl.fedoraproject.org/pub/epel/6/x86_64/ -r http://dl.fedoraproject.org/pub/epel/testing/6/x86_64/
$ ls -l /tmp/repo/repodata/
total 27288
-rw-rw-r--. 1 jblazek jblazek  245302 Jun 12 15:30 083916f13335bc0319dcaf791b5a62187760ac278b8d58fece7bea796363651b-comps-el6.xml.gz
-rw-rw-r--. 1 jblazek jblazek 2533920 Jun 12 15:30 0ed96a8a23f17b8a11c3eee46926c19988f09f086361f55a970ea0090ac34475-other.sqlite.bz2
-rw-rw-r--. 1 jblazek jblazek 2764119 Jun 12 15:30 34c5ef201ba72bdb67f922078e610dfe4824402d5cd165bc0e7b6dc3a2fc98a8-primary.xml.gz
-rw-rw-r--. 1 jblazek jblazek 1853408 Jun 12 15:30 4557cf41868447e665baa99cebb22e7cace3a0a2bca1cdb46157a27d4ba0e183-other.xml.gz
-rw-rw-r--. 1 jblazek jblazek      55 Jun 12 15:30 65c4f66e2808d328890505c3c2f13bb35a96f457d1c21a6346191c4dc07e6080-updateinfo.xml.gz
-rw-rw-r--. 1 jblazek jblazek 7494108 Jun 12 15:30 80c73b68e470e8b1bbf9cd045e322b292d9ecd5ac49b0dc6f6f62668d65754b0-filelists.sqlite.bz2
-rw-rw-r--. 1 jblazek jblazek 1247497 Jun 12 15:30 a61828faf0beb5ca73e9a5c2cd5294be3ac147a311041aed2bda39b530328846-comps-el6.xml
-rw-rw-r--. 1 jblazek jblazek 4925095 Jun 12 15:30 c265cbe449107159f4686bb8d402e02eeeb1c3a22ad3ff9aaaf9d3fc0fddbf64-primary.sqlite.bz2
-rw-rw-r--. 1 jblazek jblazek 6855550 Jun 12 15:30 e7e58de73a885cce34c7f5541c716bc2db370636367faabd6580b211ce5cc678-filelists.xml.gz
-rw-rw-r--. 1 jblazek jblazek    4346 Jun 12 15:30 repomd.xml
$ grep size /tmp/repo/repodata/repomd.xml
    <size>2764119</size>
    <open-size>20744188</open-size>
    <size>6855550</size>
    <open-size>90831140</open-size>
    <size>1853408</size>
    <open-size>14599663</open-size>
    <size>4925095</size>
    <open-size>22957056</open-size>
    <size>7494108</size>
    <open-size>41033728</open-size>
    <size>2533920</size>
    <open-size>13218816</open-size>
    <size>1247497</size>
    <size>245302</size>
    <open-size>1247497</open-size>
    <size>55</size>
    <open-size>42</open-size>
$ rpm -q createrepo_c bzip2 expat file glib2 libcurl libxml2 python rpm openssl sqlite xz zlib
createrepo_c-0.4.0-1.fc20.x86_64
bzip2-1.0.6-9.fc20.x86_64
expat-2.1.0-7.fc20.x86_64
file-5.14-20.fc20.x86_64
glib2-2.38.2-2.fc20.x86_64
libcurl-7.32.0-11.fc20.x86_64
libxml2-2.9.1-2.fc20.x86_64
python-2.7.5-11.fc20.x86_64
rpm-4.11.2-2.fc20.x86_64
openssl-1.0.1e-38.fc20.x86_64
sqlite-3.8.4.3-1.fc20.x86_64
xz-5.1.2-9alpha.fc20.x86_64
zlib-1.2.8-3.fc20.x86_64

Comment 1 Fedora Update System 2014-06-26 14:07:51 UTC
createrepo_c-0.4.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/createrepo_c-0.4.1-1.el6

Comment 2 Fedora Update System 2014-06-27 15:29:16 UTC
Package createrepo_c-0.4.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing createrepo_c-0.4.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1755/createrepo_c-0.4.1-1.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-07-16 03:51:12 UTC
createrepo_c-0.4.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.